Package ru.bitel.bgbilling.modules.mps.server.bean

# Class MPSResponse

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.MPSResponse

public final class MPSResponse extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `comment`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MPSResponse(int moduleId, String mpsId, jakarta.servlet.http.HttpServletResponse response)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAction()`
  `Contract`
  `getContract()`
  `long`
  `getId()`
  `Date`
  `getLocalTime()`
  `String`
  `getMessage()`
  `int`
  `getModuleId()`
  `String`
  `getMpsId()`
  `String`
  `getNumber()`
  `Map<String,Object>`
  `getParameters()`
  `jakarta.servlet.http.HttpServletResponse`
  `getResponse()`
  `int`
  `getResult()`
  `BigDecimal`
  `getSum()`
  `Date`
  `getTime()`
  `String`
  `getTimeString()`
  `String`
  `getTransId()`
  `void`
  `setAction(int action)`
  `void`
  `setContract(Contract contract)`
  `void`
  `setId(long id)`
  `void`
  `setLocalTime(Date localTime)`
  `void`
  `setMessage(String message)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setMpsId(String mpsId)`
  `void`
  `setNumber(String number)`
  `void`
  `setParameters(Map<String,Object> parameters)`
  `void`
  `setResponse(jakarta.servlet.http.HttpServletResponse response)`
  `void`
  `setResult(int result)`
  `void`
  `setSum(BigDecimal sum)`
  `void`
  `setTime(Date time)`
  `void`
  `setTimeString(String timeString)`
  `void`
  `setTransId(String transId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### comment

    public String comment

- ## Constructor Details

  - ### MPSResponse

    public MPSResponse(int moduleId, String mpsId, jakarta.servlet.http.HttpServletResponse response)

- ## Method Details

  - ### getAction

    public int getAction()

  - ### setAction

    public void setAction(int action)

  - ### getResult

    public int getResult()

  - ### setResult

    public void setResult(int result)

  - ### getMpsId

    public String getMpsId()

  - ### setMpsId

    public void setMpsId(String mpsId)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### getMessage

    public String getMessage()

  - ### setMessage

    public void setMessage(String message)

  - ### getId

    public long getId()

  - ### setId

    public void setId(long id)

  - ### getTransId

    public String getTransId()

  - ### setTransId

    public void setTransId(String transId)

  - ### getLocalTime

    public Date getLocalTime()

  - ### setLocalTime

    public void setLocalTime(Date localTime)

  - ### getTime

    public Date getTime()

  - ### setTime

    public void setTime(Date time)

  - ### getTimeString

    public String getTimeString()

  - ### setTimeString

    public void setTimeString(String timeString)

  - ### getSum

    public BigDecimal getSum()

  - ### setSum

    public void setSum(BigDecimal sum)

  - ### getNumber

    public String getNumber()

  - ### setNumber

    public void setNumber(String number)

  - ### getContract

    public Contract getContract()

  - ### setContract

    public void setContract(Contract contract)

  - ### getParameters

    public Map<String,Object> getParameters()

  - ### setParameters

    public void setParameters(Map<String,Object> parameters)

  - ### getResponse

    public jakarta.servlet.http.HttpServletResponse getResponse()

  - ### setResponse

    public void setResponse(jakarta.servlet.http.HttpServletResponse response)